use 教学成绩管理数据库
go
--1.创建触发器
create trigger T删除学院信息表记录
on 学院信息表
for delete
as
begin
  set nocount off 
  /*  使返回的结果中包含有关受 Transact-SQL 语句影响的行数的信息 */
  declare @编号 char(2)
  select @编号=编号 from deleted
  if exists(select * from 系部信息表 where @编号=left(编号,2))
     begin
        raiserror ( '系部编号正在使用, 不可删除!', 16, 1)  
        /* 返回用户定义的错误信息*/
        rollback transaction  
        /* 回滚到当前事务的起点，撤销本事务所做的所有数据修改 */
     end
end
go
--2.验证：用【企业管理器】中打开[学院信息表]删除一行已有的记录，观察效果

--3.删除触发器
drop trigger T删除学院信息表记录
